import styles from './PortalManager.module.scss.js';
var portalsContainerId = 'ui-components-portals-container';
var PortalManager = {
  containerInstance: function () {
    var portalsContainerElement = document.getElementById(portalsContainerId);

    if (!portalsContainerElement) {
      var container = document.createElement('div');
      container.id = portalsContainerId;
      container.style.position = 'relative';
      container.className = styles['body-1'];
      portalsContainerElement = document.body.appendChild(container);
    }

    portalsContainerElement.style.zIndex = '1000000';
    return portalsContainerElement;
  }
};
export { PortalManager as default };
//# sourceMappingURL=PortalManager.js.map
